function predpreyspectrum(alpha)
% plots spectrum for predator prey model, PS 12
A = @(par) [3/5 1/5;-par 6/5];
if (nargin < 1), alpha = (0:0.01:1); end
spec = [];
for par = alpha
  lambda = eig(A(par));
  spec = [spec; par real(lambda(1)) imag(lambda(1)) real(lambda(2)) imag(lambda(2)) max(abs(lambda))];
end
figure; 
plot(spec(:,1),spec(:,2),'r-',spec(:,1),spec(:,3),'b-',...
     spec(:,1),spec(:,4),'r--',spec(:,1),spec(:,5),'b--',...
     spec(:,1),spec(:,6),'m-'); 
legend('Re(\lambda_1)','Im(\lambda_1)','Re(\lambda_2)','Im(\lambda_2)','\lambda_{max}','location','best');
xlabel('{\bf \alpha}','fontsize',14);